[P026]Legal Information

get
https://connect.patsnap.com/advanced-patent-data/legal-data

Receive detailed legal data by patent_id or patent_number. Detailed legal data includes INPADOC legal data (PRS code, PRS code description, PRS date, Ref. Authority code) and official legal data (date, event number, event code, legal status)

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.

Request Parameters

List of parameters supported by this API endpoint

Name Type Example Description
patent_id
stringf29d14f9-a9b3-4df5-8fff-e0d04abe0c1e
patent_id
patent_number
stringBR112020016218A2
patent_number

Response Schema

Structure of the API response data

Field Name Type Example Description
data
array-
response data
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
patsnap_legal_data
objectPlease check the form: PatsnapLegalData
legal data
inpadoc_legal_data
arrayPlease check the form: InpadocLegalData
inpadoc Legal Data
event_code
stringB350
PRS legal status code
event_date
integer<int32>20211207
PRS legal status date
event_desc
stringATUALIZACAO DE INFORMACOES NO PORTAL [CODIGO 15.35 RPI]
PRS legal status code description
ref_country_code
stringBR
Ref. Authority code
official_legal_data
arrayPlease check the form: OfficialLegalData
official Legal Data
event_vol
string2605
Volume number
event_code
string1.3
Event code
event_date
integer<int32>20201208
Event date
event_desc
stringNotificação - Fase Nacional - PCT
Legal status added information
event_others
string法律状态其他信息
Legal status others information (this field only for CN jurisdictions)
event_legal_status
string专利权的终止
Legal status (this field only for CN jurisdictions)
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "patsnap_legal_data": {
        "inpadoc_legal_data": [
          {
            "event_code": "B350",
            "event_date": 20211207,
            "event_desc": "ATUALIZACAO DE INFORMACOES NO PORTAL [CODIGO 15.35 RPI]",
            "ref_country_code": "BR"
          }
        ],
        "official_legal_data": [
          {
            "event_vol": "2605",
            "event_code": 1.3,
            "event_date": 20201208,
            "event_desc": "Notificação - Fase Nacional - PCT",
            "event_others": "法律状态其他信息",
            "event_legal_status": "专利权的终止"
          }
        ]
      }
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error Code Description
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error Code Description
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status Code Description
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms